## python-requestbuilder 0.1.0~beta2

=== debian/changelog ===
python-requestbuilder (0.1.0~beta2-1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:52:54 +0000

python-requestbuilder (0.1.0~beta2-1) unstable; urgency=low

  * Initial release. (Closes: #715136)

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Jul 2013 13:44:37 +0800

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/boto/requestbuilder.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2

override_dh_clean:
	dh_clean
	rm -rf requestbuilder.egg-info

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/r/requestbuilder requestbuilder-(.*).tar.gz

## python-requestbuilder 0.2.3

=== requirements.txt ===
requests>=1
six

## python-requestbuilder 0.1.0

=== debian/changelog ===
python-requestbuilder (0.1.0-1) unstable; urgency=medium

  * New upstream release (Closes: #731951).
  * Standards-Version: is now 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Mar 2014 17:39:18 +0800

=== debian/control ===
Source: python-requestbuilder
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-requests,
               python-setuptools,
               python-six
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-requestbuilder.git
Vcs-Git: git://anonscm.debian.org/openstack/python-requestbuilder.git
Homepage: https://pypi.python.org/pypi/requestbuilder

Package: python-requestbuilder
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-requests, python-six, ${misc:Depends}, ${python:Depends}
Recommends: ${python:Recommends}
Description: command line-driven HTTP request builder
 Python Requestbuilder is command line-driven. It is used to build HTTP
 requests, and is used by the euca2ools recent version (eg: newer than version
 3.0.0).

## python-requestbuilder 0.2.3

=== debian/changelog ===
python-requestbuilder (0.2.3-1) unstable; urgency=medium

  * New upstream release (Closes: #764424).

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Oct 2014 14:52:28 +0800

python-requestbuilder (0.2.2-1) unstable; urgency=medium

  [ Thomas Bechtold ]
  * debian/watch: Fix version recognition.

  [ Thomas Goirand ]
  * New upstream release (Closes: #764297).
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" in debian/source/options.
  * Standards-Version is now 3.9.6.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Oct 2014 10:33:06 +0800

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Build-Depends: debhelper (>= 9),
                openstack-pkg-tools,
                python-all (>= 2.6.6-3~),
-               python-requests,
+               python-requests (>= 1),
                python-setuptools,
                python-six
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-requestbuilder.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-requestbuilder.git
 Homepage: https://pypi.python.org/pypi/requestbuilder
@@ -19,7 +19,7 @@
 Package: python-requestbuilder
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: python-requests, python-six, ${misc:Depends}, ${python:Depends}
+Depends: python-requests (>= 1), python-six, ${misc:Depends}, ${python:Depends}
 Recommends: ${python:Recommends}
 Description: command line-driven HTTP request builder
  Python Requestbuilder is command line-driven. It is used to build HTTP

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,3 @@
 
 %:
 	dh $@  --with python2
-
-override_dh_clean:
-	dh_clean
-	rm -rf requestbuilder.egg-info

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/r/requestbuilder/requestbuilder-(\d[\d\.]+).tar.gz

## python-requestbuilder 0.5.2

=== debian/changelog ===
python-requestbuilder (0.5.2-2) unstable; urgency=medium

  * Add Py3 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Aug 2016 10:08:33 +0000

python-requestbuilder (0.5.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release (Closes: #832974).
  * Remove debian/install which was installing /usr/bin/httpget from ./bin.
  * Removed inactive maintainers from uploaders field.
  * Ran wrap-and-sort -t -a.
  * Fixed (build-)depends version and moved some deps from build-depends to
    build-depends-indep.
  * Fixed debian/copyright ordering.
  * Standards-Version: 3.9.8 (no change).
  * debian/rules: list dh commands we don't run, to build faster.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Aug 2016 11:45:43 +0200

=== debian/control ===
Source: python-requestbuilder
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-requests (>= 2.4),
                     python-six,
                     python3-requests (>= 2.4),
                     python3-six,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-requestbuilder.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-requestbuilder.git
Homepage: https://pypi.python.org/pypi/requestbuilder

Package: python-requestbuilder
Architecture: all
Depends: python-requests (>= 2.4),
         python-six,
         ${misc:Depends},
         ${python:Depends},
Description: command line-driven HTTP request builder - Python 2.7
 Python Requestbuilder is command line-driven. It is used to build HTTP
 requests, and is used by the euca2ools recent version (eg: newer than version
 3.0.0).
 .
 This package provides the Python 2.7 module.

Package: python3-requestbuilder
Architecture: all
Depends: python3-requests (>= 2.4),
         python3-six,
         ${misc:Depends},
         ${python3:Depends},
Description: command line-driven HTTP request builder - Python 3.x
 Python Requestbuilder is command line-driven. It is used to build HTTP
 requests, and is used by the euca2ools recent version (eg: newer than version
 3.0.0).
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/boto/requestbuilder.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:
